%	SINCRONIZADOR Funcion que sincroniza los movimientos teniendo en consideracin
%	las condiciones iniciales, finales, caractersticas de las articulaciones y 
%	velocidades nominales.
%		[VELO2,TMAXIMO]=SINCRONIZADOR(Q0,QF,VELO) devuelve la nueva velocidad mxima
%		de cada motor.
%		Q0 posicin inicial (coordenadas articulares).
%		QF posicin final (coordenadas articulares).
%		VELO velocidad mxima nominal de cada actuador.
%
%		Ver tambin PLANIFICADOR, CALCULOCOEF, SINCRONIZADOR, EVALPOS, EVALACEL.

function [velo2,tmaximo]=sincronizador(q0,qf,velo)

%--Calculo de tiempos aproximados.
taprox = abs((qf(:,1)-q0(:,1)))./velo;
tmaximo = max(taprox);

%--Nueva velocidad maxima de cada motor.
velo2=(qf(:,1)-q0(:,1))/tmaximo;

return
